@echo off
set COB_LIBRARY_PATH=.;%COB_LIBRARY_PATH%
echo PACKED-DECIMAL dump
copy /y packed.1 dump.c > nul
cl /LD dump.c > comp.out 2>&1
if errorlevel 1 goto err
sed -e "s/@USAGE@/PACKED-DECIMAL/" numeric-dump.cob > prog.cob
if errorlevel 1 goto err
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.2 result
if errorlevel 1 goto err

echo PACKED-DECIMAL display
copy /y packed.3 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.4 result
if errorlevel 1 goto err

echo PACKED-DECIMAL move
copy /y packed.5 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.6 result
if errorlevel 1 goto err

echo PACKED-DECIMAL arithmetic (1)
copy /y packed.7 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.8 result
if errorlevel 1 goto err

echo PACKED-DECIMAL arithmetic (2)
copy /y packed.9 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.10 result
if errorlevel 1 goto err

echo PACKED-DECIMAL numeric test (1)
copy /y packed.11 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.12 result
if errorlevel 1 goto err

echo PACKED-DECIMAL numeric test (2)
copy /y packed.13 prog.cob > nul
cobc -x -std=ibm -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.14 result
if errorlevel 1 goto err

echo COMP-6 display
copy /y packed.15 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.16 result
if errorlevel 1 goto err

echo COMP-6 move
copy /y packed.17 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.18 result
if errorlevel 1 goto err

echo COMP-6 arithmetic
copy /y packed.19 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.20 result
if errorlevel 1 goto err

echo COMP-6 numeric test
copy /y packed.21 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff packed.22 result
if errorlevel 1 goto err

echo PACKED TEST PASSED
del prog.* dump.* result comp.out
goto end

:err
	echo PACKED TEST FAILED
	pause
:end
