@echo off
set COB_LIBRARY_PATH=.;%COB_LIBRARY_PATH%
echo EXTENSIONS TEST GROUP
copy nul prog.empty > nul

echo CALL BY CONTENT binary and literal
copy /y extensions.1 dump.c > nul
cl /LD dump.c > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.2 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.3 result
if errorlevel 1 goto err

echo Hexadecimal numeric literal
copy /y extensions.4 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.5 result
if errorlevel 1 goto err

echo Semi-parenthesized condition
copy /y extensions.6 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.7 result
if errorlevel 1 goto err

echo ADDRESS OF
copy /y extensions.8 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo LENGTH OF
copy /y extensions.10 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.11 result
if errorlevel 1 goto err

echo WHEN-COMPILED
copy /y extensions.12 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.13 result
if errorlevel 1 goto err

echo Complex OCCURS DEPENDING ON (1)
copy /y extensions.14 prog.cob > nul
cobc -x -debug -Wall -std=mvs -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.15 result
if errorlevel 1 goto err

echo Complex OCCURS DEPENDING ON (2)
copy /y extensions.110 prog.cob > nul
cobc -x -debug -Wall -std=mf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.111 result
if errorlevel 1 goto err

echo Complex OCCURS DEPENDING ON (3)
copy /y extensions.112 prog.cob > nul
cobc -x -debug -Wall -std=mf -fodoslide -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.113 result
if errorlevel 1 goto err

echo Complex OCCURS DEPENDING ON (4)
copy /y extensions.114 prog.cob > nul
cobc -x -debug -Wall -std=mf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.115 result
if errorlevel 1 goto err

echo Complex OCCURS DEPENDING ON (5)
copy /y extensions.116 prog.cob > nul
cobc -x -debug -Wall -std=mf -fodoslide -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.117 result
if errorlevel 1 goto err

echo MOVE NON-INTEGER TO ALPHA-NUMERIC
copy /y extensions.16 prog.cob > nul
cobc -C -x -debug -Wall -std=mf prog.cob > result 2>&1
if errorlevel 1 goto err
diff extensions.17 result
if errorlevel 1 goto err
cobc -x -debug -Wall -std=mf prog.cpp > result 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.18 result
if errorlevel 1 goto err

echo CALL USING file-name
copy /y extensions.19 setfilename.c > nul
cobc -m -debug -Wall -std=cobol2002 setfilename.c > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.20 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff prog.empty result
if errorlevel 1 goto err
if not exist TESTFILE goto err
del TESTFILE setfilename.*

echo CALL unusual PROGRAM-ID.
copy /y extensions.21 A@B.cob > nul
cobc -m -debug -Wall -std=cobol2002 A@B.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.22 A#B.cob > nul
cobc -m -debug -Wall -std=cobol2002 A#B.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.23 A-B.cob > nul
cobc -m -debug -Wall -std=cobol2002 A-B.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.24 A_B.cob > nul
cobc -m -debug -Wall -std=cobol2002 A_B.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.25 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o caller caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if errorlevel 1 goto err
diff extensions.57 result
if errorlevel 1 goto err
del A?B.*

echo CALL BY VALUE alphanumeric item
copy /y extensions.79 prog.cob > nul
cobc -x -debug -Wall -o prog prog.cob > nul 2> comp.out
if errorlevel 1 goto err
diff extensions.80 comp.out
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo Case independent PROGRAM-ID
copy /y extensions.58 prog.cob > nul
cobc -x -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo PROGRAM-ID AS clause
copy /y extensions.59 prog.cob > nul
cobc -x -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo Quoted PROGRAM-ID
copy /y extensions.60 prog.cob > nul
cobc -x -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo ASSIGN clause
copy /y extensions.26 test.conf > nul
copy /y extensions.27 prog.cob > nul
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob 2> comp.out 1> nul
if errorlevel 1 goto err
diff extensions.118 comp.out
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff prog.empty result
if errorlevel 1 goto err

echo ASSIGN clause IBM
copy /y extensions.28 test.conf > nul
copy /y extensions.29 prog.cob > nul
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob 2> comp.out 1> nul
if errorlevel 1 goto err
diff extensions.119 comp.out
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff prog.empty result
if errorlevel 1 goto err
if not exist FILENAME goto err
del FILENAME

echo ASSIGN mapping
copy /y extensions.30 test.conf > nul
copy /y extensions.31 prog.cob > nul
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
set DD_FILENAME=x
prog
if errorlevel 1 goto err
if not exist x goto err
set DD_FILENAME=
set dd_FILENAME=y
prog
if errorlevel 1 goto err
if not exist y goto err
set dd_FILENAME=
set FILENAME=z
prog
if errorlevel 1 goto err
if not exist z goto err
set FILENAME=
prog
if errorlevel 1 goto err
if not exist FILENAME goto err
del FILENAME x y z

echo ASSIGN expansion
copy /y extensions.32 test.conf > nul
copy /y extensions.33 prog.cob > nul
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
mkdir XXX
set DIR=XXX
prog
if errorlevel 1 goto err
if not exist XXX\FILENAME goto err
set DIR=
del XXX\FILENAME
rmdir XXX

echo ASSIGN with COB_FILE_PATH
copy /y extensions.53 test.conf > nul
copy /y extensions.54 prog.cob > nul
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
mkdir XX2
set COB_FILE_PATH=XX2
prog
if errorlevel 1 goto err
if not exist XX2\FILENAMEX goto err
set COB_FILE_PATH=
del XX2\FILENAMEX
rmdir XX2

echo NUMBER-OF-CALL-PARAMETERS
copy /y extensions.34 callee.cob > nul
cobc -m -debug -Wall -std=cobol2002 callee.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.35 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if errorlevel 1 goto err
diff extensions.36 result
if errorlevel 1 goto err

echo PROCEDURE DIVISION USING BY ...
copy /y extensions.37 callee.cob > nul
cobc -m -debug -Wall -std=cobol2002 callee.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.38 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo PROCEDURE DIVISION CHAINING ...
copy /y extensions.40 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog X ABCD > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo STOP RUN RETURNING
copy /y extensions.42 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if not errorlevel 1 goto err
if errorlevel 2 goto err
diff prog.empty result
if errorlevel 1 goto err

echo ENTRY
copy /y extensions.43 caller.cob > nul
cobc -x -debug -Wall -std=mvs -c -fstatic-call caller.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.44 callee.cob > nul
cobc -m -debug -Wall -std=mvs -c -fstatic-call callee.cob > comp.out 2>&1
if errorlevel 1 goto err
cobc -x -o prog caller.obj callee.obj > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.45 result
if errorlevel 1 goto err

echo LINE SEQUENTIAL write
copy /y extensions.46 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff prog.empty result
if errorlevel 1 goto err
if not exist TEST-FILE goto err
diff extensions.47 TEST-FILE
if errorlevel 1 goto err
del TEST-FILE

echo LINE SEQUENTIAL read
copy /y extensions.48 TEST-FILE > nul
copy /y extensions.49 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.50 result
if errorlevel 1 goto err
del TEST-FILE

echo ASSIGN to KEYBOARD/DISPLAY
copy /y extensions.55 TEST-FILE > nul
copy /y extensions.56 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog < TEST-FILE > result
if errorlevel 1 goto err
diff TEST-FILE result
if errorlevel 1 goto err
del TEST-FILE

echo SORT ASSIGN KEYBOARD to ASSIGN DISPLAY
copy /y extensions.81 TEST-FILE > nul
copy /y extensions.82 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog < TEST-FILE > result
if errorlevel 1 goto err
diff extensions.83 result
if errorlevel 1 goto err
del TEST-FILE

echo Environment/Argument variable
copy /y extensions.51 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
set TEST_ENV=OK
prog CHECKPAR > result
if errorlevel 1 goto err
diff extensions.52 result
if errorlevel 1 goto err

echo DECIMAL-POINT is COMMA (1)
copy /y extensions.61 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.62 result
if errorlevel 1 goto err

echo DECIMAL-POINT is COMMA (2)
copy /y extensions.63 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.64 result
if errorlevel 1 goto err

echo DECIMAL-POINT is COMMA (3)
copy /y extensions.65 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.66 result
if errorlevel 1 goto err

echo DECIMAL-POINT is COMMA (4)
copy /y extensions.67 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.68 result
if errorlevel 1 goto err

echo DECIMAL-POINT is COMMA (5)
copy /y extensions.69 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.70 result
if errorlevel 1 goto err

echo 78 Level (1)
copy /y extensions.71 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.72 result
if errorlevel 1 goto err

echo 78 Level (2)
copy /y extensions.73 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.74 result
if errorlevel 1 goto err

echo 78 Level (3)
copy /y extensions.75 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.76 result
if errorlevel 1 goto err

echo Unreachable statement
copy /y extensions.77 prog.cob > nul
cobc -C -x -debug -Wunreachable -std=cobol2002 -o prog prog.cob > comp.out 2>&1
diff extensions.78 comp.out
if errorlevel 1 goto err

echo DEBUG (1)
copy /y extensions.84 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.85 result
if errorlevel 1 goto err

echo DEBUG (2)
copy /y extensions.84 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -fdebugging-line -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.86 result
if errorlevel 1 goto err

echo DEBUG free format (1)
copy /y extensions.87 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -free -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.85 result
if errorlevel 1 goto err

echo DEBUG free format (2)
copy /y extensions.87 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -free -fdebugging-line -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.86 result
if errorlevel 1 goto err

echo SOURCE FIXED/FREE directives
copy /y extensions.88 prog.cob > nul
cobc -x -debug -Wall -std=mf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.86 result
if errorlevel 1 goto err

echo Obsolete 85 keywords
copy /y extensions.89 prog.cob > nul
cobc -x -debug -Wall -std=mf -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.90 result
if errorlevel 1 goto err

echo System routine C$CALLEDBY
copy /y extensions.91 callee.cob > nul
cobc -m -debug -Wall -std=cobol2002 callee.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.92 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if not errorlevel 1 goto err
if errorlevel 2 goto err
diff extensions.93 result
if errorlevel 1 goto err

echo System routine C$NARG
copy /y extensions.120 callee.cob > nul
cobc -m -debug -Wall -std=cobol2002 callee.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.121 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$PARAMSIZE
copy /y extensions.122 callee.cob > nul
cobc -m -debug -Wall -std=cobol2002 callee.cob > comp.out 2>&1
if errorlevel 1 goto err
copy /y extensions.123 caller.cob > nul
cobc -x -debug -Wall -std=cobol2002 caller.cob > comp.out 2>&1
if errorlevel 1 goto err
caller > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$JUSTIFY
copy /y extensions.94 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$PRINTABLE
copy /y extensions.124 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$MAKEDIR
copy /y extensions.125 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err
if NOT EXIST TMP goto err
rmdir /q TMP

echo System routine C$GETPID
copy /y extensions.126 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$TOUPPER
copy /y extensions.96 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine C$TOLOWER
copy /y extensions.98 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_OR
copy /y extensions.100 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_NOR
copy /y extensions.102 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_AND
copy /y extensions.104 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_XOR
copy /y extensions.105 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_IMP
copy /y extensions.106 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_NIMP
copy /y extensions.107 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_NOT
copy /y extensions.108 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo System routine CBL_EQ
copy /y extensions.109 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo Conditional/define directives (1)
copy /y extensions.127 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.7 result
if errorlevel 1 goto err

echo Conditional/define directives (2)
copy /y extensions.128 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -DACTIVATE -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.7 result
if errorlevel 1 goto err

echo Conditional/define directives (3)
copy /y extensions.129 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -DACTIVATE2 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.7 result
if errorlevel 1 goto err

echo Conditional/define directives (4)
copy /y extensions.130 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -DACTIVATE2 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff extensions.9 result
if errorlevel 1 goto err

echo Conditional/define directives (5)
copy /y extensions.131 prog.cob > nul
cobc -fsyntax-only -debug -Wall -std=cobol2002 -DACTIVATE2 prog.cob > comp.out 2>&1
if errorlevel 1 goto err
diff extensions.72 comp.out
if errorlevel 1 goto err

echo EXTENSIONS TEST PASSED
del TESTFILE test.conf dump.* caller.* callee.* prog.* result comp.out
goto end

:err
	echo EXTENSIONS TEST FAILED
	pause
:end
