@echo off

echo COPY: file not found
del /q copy.inc
copy /y copyb.1 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff copyb.2 result
if errorlevel 1 goto err

echo COPY: replacement order
copy /y copyb.3 copy.inc > nul
copy /y copyb.4 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.5 result
if errorlevel 1 goto err

echo COPY: separators
copy /y copyb.6 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.5 result
if errorlevel 1 goto err

echo COPY: partial replacement
copy /y copyb.7 copy.inc > nul
copy /y copyb.8 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.9 result
if errorlevel 1 goto err

echo COPY: LEADING replacement
copy /y copyb.13 copy.inc > nul
copy /y copyb.14 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.15 result
if errorlevel 1 goto err

echo COPY: TRAILING replacement
copy /y copyb.16 copy.inc > nul
copy /y copyb.17 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.15 result
if errorlevel 1 goto err

echo COPY: recursive replacement
copy /y copyb.10 copy-2.inc > nul
copy /y copyb.11 copy-1.inc > nul
copy /y copyb.12 prog.cob > nul
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff copyb.5 result
if errorlevel 1 goto err

echo COPY TEST PASSED
del prog.* result copy.inc copy-1.inc copy-2.inc comp.out
goto end

:err
	echo COPY TEST FAILED
	pause
:end
